Add Azure DevOps Project
curl --request POST \
--url https://semgrep.dev/api/scm/deployments/{deploymentId}/scm_apps/{scmAppId}/add_ado_project \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"scmAppId": "<string>",
"organizationName": "myorg",
"projectName": "myproject"
}
'import requests
url = "https://semgrep.dev/api/scm/deployments/{deploymentId}/scm_apps/{scmAppId}/add_ado_project"
payload = {
"deploymentId": "<string>",
"scmAppId": "<string>",
"organizationName": "myorg",
"projectName": "myproject"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
scmAppId: '<string>',
organizationName: 'myorg',
projectName: 'myproject'
})
};
fetch('https://semgrep.dev/api/scm/deployments/{deploymentId}/scm_apps/{scmAppId}/add_ado_project', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Source Code Management (SCM) App
Add Azure DevOps Project
Add a new ADO project to an existing Entra App install. The service principal must already have permissions on the ADO project
POST
/
api
/
scm
/
deployments
/
{deploymentId}
/
scm_apps
/
{scmAppId}
/
add_ado_project
Add Azure DevOps Project
This endpoint is experimental. It may change or be removed without notice, and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Body
application/json
Response
200 - application/json
OK
The response is of type object.
Was this page helpful?
⌘I